# Change Log

All notable changes to this project will be documented in this file.
See [Conventional Commits](https://conventionalcommits.org) for commit guidelines.

# 3.8.0 (2019-11-21)


### Bug Fixes

* default loading state for useManualQuery ([#132](https://github.com/nearform/graphql-hooks/issues/132)) ([c18fc15](https://github.com/nearform/graphql-hooks/commit/c18fc15107378a55add032a95bdec4f32fca6f3a))
* Fix type declarations for logErrorResult & onError ([#175](https://github.com/nearform/graphql-hooks/issues/175)) ([8a37061](https://github.com/nearform/graphql-hooks/commit/8a37061c2b4ebf61eb77070ace64991c112d67fc))
* Handle unmounting whilst request is in flight ([#96](https://github.com/nearform/graphql-hooks/issues/96)) ([dbb8954](https://github.com/nearform/graphql-hooks/commit/dbb8954869a88392133344dcc0b5d6dd8a0f5be6)), closes [#54](https://github.com/nearform/graphql-hooks/issues/54)
* query must be a string error ([#199](https://github.com/nearform/graphql-hooks/issues/199)) ([d58b1af](https://github.com/nearform/graphql-hooks/commit/d58b1afccfd0eafe4160b370ecfac46fc055b532))
* race condition bug ([#153](https://github.com/nearform/graphql-hooks/issues/153)) ([fdff313](https://github.com/nearform/graphql-hooks/commit/fdff31356361b68463ea2782b68356386fcc40af))
* throw an error if client.cache isn't provided in ssrMode ([#124](https://github.com/nearform/graphql-hooks/issues/124)) ([ece277d](https://github.com/nearform/graphql-hooks/commit/ece277d104469f384eabc1f7a32bdae3bc101865))


### Features

* add a TypeScript declaration file for graphql-hooks ([#135](https://github.com/nearform/graphql-hooks/issues/135)) ([49787fc](https://github.com/nearform/graphql-hooks/commit/49787fc8cb75547b5d83a0437cdb3ad940a4da68))
* add optional type annotations ([#202](https://github.com/nearform/graphql-hooks/issues/202)) ([6e50e04](https://github.com/nearform/graphql-hooks/commit/6e50e04da5e4ab610bcf22189f81e982dbfdf623))
* Add support for GraphQL multipart requests ([#266](https://github.com/nearform/graphql-hooks/issues/266)) ([09ef420](https://github.com/nearform/graphql-hooks/commit/09ef4200369790955d92f79d0cf6b6f64dcc9011))
* cjs, es & umd bundles for graphql-hooks-memcache ([#109](https://github.com/nearform/graphql-hooks/issues/109)) ([9dd1004](https://github.com/nearform/graphql-hooks/commit/9dd100469ee57529f4d69531121d629689730ea3))





## [3.7.1](https://github.com/nearform/graphql-hooks/compare/graphql-hooks-test-g@3.7.0...graphql-hooks-test-g@3.7.1) (2019-11-21)

**Note:** Version bump only for package graphql-hooks-test-g





# 3.7.0 (2019-11-21)


### Bug Fixes

* default loading state for useManualQuery ([#132](https://github.com/nearform/graphql-hooks/issues/132)) ([c18fc15](https://github.com/nearform/graphql-hooks/commit/c18fc15107378a55add032a95bdec4f32fca6f3a))
* Fix type declarations for logErrorResult & onError ([#175](https://github.com/nearform/graphql-hooks/issues/175)) ([8a37061](https://github.com/nearform/graphql-hooks/commit/8a37061c2b4ebf61eb77070ace64991c112d67fc))
* Handle unmounting whilst request is in flight ([#96](https://github.com/nearform/graphql-hooks/issues/96)) ([dbb8954](https://github.com/nearform/graphql-hooks/commit/dbb8954869a88392133344dcc0b5d6dd8a0f5be6)), closes [#54](https://github.com/nearform/graphql-hooks/issues/54)
* query must be a string error ([#199](https://github.com/nearform/graphql-hooks/issues/199)) ([d58b1af](https://github.com/nearform/graphql-hooks/commit/d58b1afccfd0eafe4160b370ecfac46fc055b532))
* race condition bug ([#153](https://github.com/nearform/graphql-hooks/issues/153)) ([fdff313](https://github.com/nearform/graphql-hooks/commit/fdff31356361b68463ea2782b68356386fcc40af))
* throw an error if client.cache isn't provided in ssrMode ([#124](https://github.com/nearform/graphql-hooks/issues/124)) ([ece277d](https://github.com/nearform/graphql-hooks/commit/ece277d104469f384eabc1f7a32bdae3bc101865))


### Features

* add a TypeScript declaration file for graphql-hooks ([#135](https://github.com/nearform/graphql-hooks/issues/135)) ([49787fc](https://github.com/nearform/graphql-hooks/commit/49787fc8cb75547b5d83a0437cdb3ad940a4da68))
* add optional type annotations ([#202](https://github.com/nearform/graphql-hooks/issues/202)) ([6e50e04](https://github.com/nearform/graphql-hooks/commit/6e50e04da5e4ab610bcf22189f81e982dbfdf623))
* Add support for GraphQL multipart requests ([#266](https://github.com/nearform/graphql-hooks/issues/266)) ([09ef420](https://github.com/nearform/graphql-hooks/commit/09ef4200369790955d92f79d0cf6b6f64dcc9011))
* cjs, es & umd bundles for graphql-hooks-memcache ([#109](https://github.com/nearform/graphql-hooks/issues/109)) ([9dd1004](https://github.com/nearform/graphql-hooks/commit/9dd100469ee57529f4d69531121d629689730ea3))





## [3.6.1](https://github.com/nearform/graphql-hooks/compare/graphql-hooks@3.6.0...graphql-hooks@3.6.1) (2019-11-21)

**Note:** Version bump only for package graphql-hooks





# [3.6.0](https://github.com/nearform/graphql-hooks/compare/graphql-hooks@3.5.1...graphql-hooks@3.6.0) (2019-06-21)


### Features

* Add support for GraphQL multipart requests ([#266](https://github.com/nearform/graphql-hooks/issues/266)) ([09ef420](https://github.com/nearform/graphql-hooks/commit/09ef420))





## [3.5.1](https://github.com/nearform/graphql-hooks/compare/graphql-hooks@3.5.0...graphql-hooks@3.5.1) (2019-06-08)

**Note:** Version bump only for package graphql-hooks





# [3.5.0](https://github.com/nearform/graphql-hooks/compare/graphql-hooks@3.4.2...graphql-hooks@3.5.0) (2019-04-12)


### Features

* add optional type annotations ([#202](https://github.com/nearform/graphql-hooks/issues/202)) ([6e50e04](https://github.com/nearform/graphql-hooks/commit/6e50e04))





## [3.4.2](https://github.com/nearform/graphql-hooks/compare/graphql-hooks@3.4.1...graphql-hooks@3.4.2) (2019-04-08)


### Bug Fixes

* Fix type declarations for logErrorResult & onError ([#175](https://github.com/nearform/graphql-hooks/issues/175)) ([8a37061](https://github.com/nearform/graphql-hooks/commit/8a37061))
* query must be a string error ([#199](https://github.com/nearform/graphql-hooks/issues/199)) ([d58b1af](https://github.com/nearform/graphql-hooks/commit/d58b1af))





## [3.4.1](https://github.com/nearform/graphql-hooks/compare/graphql-hooks@3.4.0...graphql-hooks@3.4.1) (2019-03-22)


### Bug Fixes

* race condition bug ([#153](https://github.com/nearform/graphql-hooks/issues/153)) ([fdff313](https://github.com/nearform/graphql-hooks/commit/fdff313))





# [3.4.0](https://github.com/nearform/graphql-hooks/compare/graphql-hooks@3.3.3...graphql-hooks@3.4.0) (2019-03-18)


### Features

* add a TypeScript declaration file for graphql-hooks ([#135](https://github.com/nearform/graphql-hooks/issues/135)) ([49787fc](https://github.com/nearform/graphql-hooks/commit/49787fc))





## [3.3.3](https://github.com/nearform/graphql-hooks/compare/graphql-hooks@3.3.2...graphql-hooks@3.3.3) (2019-03-13)

**Note:** Version bump only for package graphql-hooks





## [3.3.2](https://github.com/nearform/graphql-hooks/compare/graphql-hooks@3.3.1...graphql-hooks@3.3.2) (2019-03-13)


### Bug Fixes

* default loading state for useManualQuery ([#132](https://github.com/nearform/graphql-hooks/issues/132)) ([c18fc15](https://github.com/nearform/graphql-hooks/commit/c18fc15))





## [3.3.1](https://github.com/nearform/graphql-hooks/compare/graphql-hooks@3.3.0...graphql-hooks@3.3.1) (2019-03-12)


### Bug Fixes

* throw an error if client.cache isn't provided in ssrMode ([#124](https://github.com/nearform/graphql-hooks/issues/124)) ([ece277d](https://github.com/nearform/graphql-hooks/commit/ece277d))





# [3.3.0](https://github.com/nearform/graphql-hooks/compare/graphql-hooks@3.2.5...graphql-hooks@3.3.0) (2019-03-07)


### Features

* cjs, es & umd bundles for graphql-hooks-memcache ([#109](https://github.com/nearform/graphql-hooks/issues/109)) ([9dd1004](https://github.com/nearform/graphql-hooks/commit/9dd1004))





## [3.2.5](https://github.com/nearform/graphql-hooks/compare/graphql-hooks@3.2.4...graphql-hooks@3.2.5) (2019-03-06)


### Bug Fixes

* Handle unmounting whilst request is in flight ([#96](https://github.com/nearform/graphql-hooks/issues/96)) ([dbb8954](https://github.com/nearform/graphql-hooks/commit/dbb8954)), closes [#54](https://github.com/nearform/graphql-hooks/issues/54)
